Name:           libtheora
Version:        1.1.1
Release:        26
Summary:        Theora Video Compression
License:        BSD
Epoch:          1
URL:            http://www.theora.org
Source0:        http://downloads.xiph.org/releases/theora/%{name}-%{version}.tar.xz

BuildRequires:  autoconf automake libtool SDL-devel libpng-devel doxygen perl-Git
BuildRequires:  libogg-devel >= 2:1.1
BuildRequires:  libvorbis-devel tetex-latex transfig

Patch0:         Fix-pp_sharp_mod-calculation.patch
Patch1:         examples-fix-underlinking.patch
Patch2:         examples-png_sizeof-no-longer-available-since-libpng.patch

%description
Theora is a free and open video compression format from the Xiph.org Foundation. Like all
our multimedia technology it can be used to distribute film and video online and on disc
without the licensing and royalty fees or vendor lock-in associated with other formats.

devel-docs
The libtheora-devel-docs package contains the documentation needed
to develop applications with libtheora.

%package devel
Summary:        Development tools for Theora applications
Requires:       libogg-devel >= 2:1.1
Requires:       %{name}%{?_isa} = %{epoch}:%{version}-%{release}

# Provide the same headers as theora-exp-devel did.
Obsoletes:      theora-exp-devel
Provides:       theora-exp-devel

%description devel
The libtheora-devel package contains the header files needed to develop
applications with libtheora.


%package help
Summary:        Help documentation for developing Theora applications
BuildArch:      noarch

Obsoletes: devel-docs
Provides: devel-docs

%description help
The libtheora-help package contains the documentation to help
developpers to use libtheora.

%package -n theora-tools
Summary:        Command line tools for theora
Requires:       %{name}%{?_isa} = %{epoch}:%{version}-%{release}

%description -n theora-tools
The theora-tools package contains simple commands to help developpers to
use with theora bitstreams.


%prep
%autosetup -n %{name}-%{version} -p1

sed -i 's/CFLAGS="$CFLAGS $cflags_save"/CFLAGS="$cflags_save"/g' configure
cp /usr/lib/rpm/config.* .

%build
./autogen.sh
%configure --enable-shared --disable-static
%disable_rpath
%make_build

make -C doc/spec %{?_smp_mflags}

%install

%make_install

rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT/%{_docdir}/
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 755 examples/.libs/dump_video $RPM_BUILD_ROOT/%{_bindir}/theora_dump_video
install -m 755 examples/.libs/encoder_example $RPM_BUILD_ROOT/%{_bindir}/theora_encode
install -m 755 examples/.libs/player_example $RPM_BUILD_ROOT/%{_bindir}/theora_player
install -m 755 examples/.libs/png2theora $RPM_BUILD_ROOT/%{_bindir}/png2theora

%ldconfig_scriptlets


%files
%doc README COPYING
%{_libdir}/*.so.*

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/theora*.pc
%{_includedir}/theora

%files help
%doc doc/libtheora/html doc/vp3-format.txt doc/spec/Theora.pdf
%doc doc/color.html doc/draft-ietf-avt-rtp-theora-00.txt

%files -n theora-tools
%{_bindir}/*

%changelog
* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 1.1.1-26
- DESC: delete -Sgit from %autosetup

* Wed Jun 23 2021 wuchaochao <wuchaochao4@huawei.com> - 1:1.1.1-25
- add buildrequires: perl-Git

* Wed Jan 8 2020 openEuler Buildteam <buildteam@openeuler.org>  - 1:1.1.1-24
- format patches

* Thu Sep 5 2019 openEuler Buildteam <buildteam@openeuler.org>  - 1:1.1.1-23
- Package init
